Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GenericDebugData Class Reference

`#include <GenericDebugData.h>`

List of all members.

## Public Types
enum | GenericDebugDataID { numberOfFourierCoefficients = 0, braitenbergPIDs = 1, danielTest = 2, defaultObstaclesLocator = 3, imageProcessor = 4, MotionDetector = 5, gridImageProcessor2DebugParameters = 6, linesSelfLocator = 7, ballLocatorPIDs = 8, bodyOffsets = 9, odometryScale = 10, motionStabilizer = 11, yetAnotherInvKinParams = 12, yetAnotherInvKinPaws = 13, noOdometrySelfLocator = 14, teamMessageSendDelay = 15, gt2005BallLocator1, gt2005BallLocator2, gt2005TeamBallLocator, gtCamKalmanBallFilter, comboBallLocator, numOfGenericDebugDataIDs, unknown }
## Public Member Functions
| GenericDebugData ()
| Constructor.
| ~GenericDebugData ()
| Destructor.
## Static Public Member Functions
const char * | getGenericDebugDateName (GenericDebugDataID genericDebugDataID)
const char * | getParameterName (GenericDebugDataID genericDebugDataID, int index)
MessageID | getMessageID (GenericDebugDataID genericDebugDataID)
double | getDefaultValue (GenericDebugDataID genericDebugDataID, int index)
double | getMinValue (GenericDebugDataID genericDebugDataID, int index)
double | getMaxValue (GenericDebugDataID genericDebugDataID, int index)
## Public Attributes
int | id
double | data [10]

## Member Enumeration Documentation

enum GenericDebugData::GenericDebugDataID

  | Enumeration values:
  numberOfFourierCoefficients |
  braitenbergPIDs |
  danielTest |
  defaultObstaclesLocator |
  imageProcessor |
  MotionDetector |
  gridImageProcessor2DebugParameters |
  linesSelfLocator |
  ballLocatorPIDs |
  bodyOffsets |
  odometryScale |
  motionStabilizer |
  yetAnotherInvKinParams |
  yetAnotherInvKinPaws |
  noOdometrySelfLocator |
  teamMessageSendDelay |
  gt2005BallLocator1 |
  gt2005BallLocator2 |
  gt2005TeamBallLocator |
  gtCamKalmanBallFilter |
  comboBallLocator |
  numOfGenericDebugDataIDs |
  unknown |
Definition at line 28 of file GenericDebugData.h.

## Constructor & Destructor Documentation

GenericDebugData::GenericDebugData | ( |  | ) |

| Constructor. Definition at line 9 of file GenericDebugData.cpp.

GenericDebugData::~GenericDebugData | ( |  | ) |

| Destructor. Definition at line 11 of file GenericDebugData.cpp.

## Member Function Documentation

const char* GenericDebugData::getGenericDebugDateName | ( | GenericDebugDataID | genericDebugDataID | ) | `[inline, static]`

| Definition at line 56 of file GenericDebugData.h. References ballLocatorPIDs, bodyOffsets, braitenbergPIDs, comboBallLocator, danielTest, defaultObstaclesLocator, gridImageProcessor2DebugParameters, gt2005BallLocator1, gt2005BallLocator2, gt2005TeamBallLocator, gtCamKalmanBallFilter, imageProcessor, linesSelfLocator, MotionDetector, motionStabilizer, noOdometrySelfLocator, numberOfFourierCoefficients, odometryScale, teamMessageSendDelay, yetAnotherInvKinParams, and yetAnotherInvKinPaws.

const char* GenericDebugData::getParameterName | ( | GenericDebugDataID | genericDebugDataID,
|  | int | index
| ) | `[inline, static]`

| Definition at line 85 of file GenericDebugData.h. References ballLocatorPIDs, bodyOffsets, comboBallLocator, gridImageProcessor2DebugParameters, gt2005BallLocator1, gt2005BallLocator2, gt2005TeamBallLocator, gtCamKalmanBallFilter, imageProcessor, linesSelfLocator, odometryScale, yetAnotherInvKinParams, and yetAnotherInvKinPaws.

MessageID GenericDebugData::getMessageID | ( | GenericDebugDataID | genericDebugDataID | ) | `[inline, static]`

| Definition at line 121 of file GenericDebugData.h. References bodyOffsets, comboBallLocator, gt2005BallLocator1, gt2005BallLocator2, gt2005TeamBallLocator, gtCamKalmanBallFilter, idBodyOffsets, idComboBallLocator, idGenericDebugData, idGT2005BallLocator1, idGT2005BallLocator2, idGT2005TeamBallLocator, idGTCamKalmanBallFilter, idImageProcessorParameters, idLinesSelfLocatorParameters, idOdometryScale, idYetAnotherInvKinParams, idYetAnotherInvKinPaws, imageProcessor, linesSelfLocator, MessageID, odometryScale, yetAnotherInvKinParams, and yetAnotherInvKinPaws.

double GenericDebugData::getDefaultValue | ( | GenericDebugDataID | genericDebugDataID,
|  | int | index
| ) | `[inline, static]`

| Definition at line 140 of file GenericDebugData.h. References comboBallLocator, gridImageProcessor2DebugParameters, gt2005BallLocator1, gt2005BallLocator2, gt2005TeamBallLocator, gtCamKalmanBallFilter, imageProcessor, linesSelfLocator, yetAnotherInvKinParams, and yetAnotherInvKinPaws.

double GenericDebugData::getMinValue | ( | GenericDebugDataID | genericDebugDataID,
|  | int | index
| ) | `[inline, static]`

| Definition at line 169 of file GenericDebugData.h. References comboBallLocator, gridImageProcessor2DebugParameters, gt2005BallLocator1, gt2005BallLocator2, gt2005TeamBallLocator, gtCamKalmanBallFilter, yetAnotherInvKinParams, and yetAnotherInvKinPaws.

double GenericDebugData::getMaxValue | ( | GenericDebugDataID | genericDebugDataID,
|  | int | index
| ) | `[inline, static]`

| Definition at line 194 of file GenericDebugData.h. References comboBallLocator, gridImageProcessor2DebugParameters, gt2005BallLocator1, gt2005BallLocator2, gt2005TeamBallLocator, gtCamKalmanBallFilter, yetAnotherInvKinParams, and yetAnotherInvKinPaws.

## Member Data Documentation

int GenericDebugData::id

| Definition at line 219 of file GenericDebugData.h. Referenced by Cognition::handleMessage(), GT2005ObstaclesLocator::handleMessage(), GT2005MotionControl::handleMessage(), operator<<(), and operator>>().

double GenericDebugData::data[10]

| Definition at line 220 of file GenericDebugData.h. Referenced by RobotConfiguration::handleMessage(), Cognition::handleMessage(), GT2005TeamBallLocator::handleMessage(), GT2004SelfLocator::handleMessage(), GT2005ObstaclesLocator::handleMessage(), GT2005MotionControl::handleMessage(), GT2005BallLocator::handleMessage(), operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Tools/Debugging/GenericDebugData.h
- Tools/Debugging/GenericDebugData.cpp